<p align="center"><img src="https://raw.githubusercontent.com/cliambrown/EasyNoise/master/app/src/main/res/mipmap-xhdpi/launcher.png"></a></p>

<h2 align="center"><b>Easy Noise</b></h2>

<h4 align="center">A simple Android app to play white noise.</h4>

<p align="center">
<a href='https://www.f-droid.org/en/packages/com.cliambrown.easynoise/'><img alt='Get it on F-Droid' width="200px" src='https://fdroid.gitlab.io/artwork/badge/get-it-on.png'/></a>
<a href='https://play.google.com/store/apps/details?id=com.cliambrown.easynoise'><img alt='Get it on Google Play' width="200px" src='https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png'/></a>
</p>

<p align="center">
<a href="https://github.com/cliambrown/EasyNoise/releases" alt="GitHub release"><img src="https://img.shields.io/github/v/release/cliambrown/EasyNoise"></a>
<a href="https://www.gnu.org/licenses/gpl-3.0" alt="License: GPLv3"><img src="https://img.shields.io/badge/License-GPL%20v3-blue.svg"></a>
</p>

* No ads or trackers of any kind
* Free and open source
* Continues playing even under other audio
* Includes a play/pause widget, a Quick Settings tile ([instructions below](#how-to-add-the-quick-settings-tile)), and seven sound options

Made by [C. Liam Brown](https://cliambrown.com).

Contributors: [Nicolay Doytchev](https://github.com/lightrush), [Yusuke Matsubara](https://github.com/whym), [Johannes Hoffmann](https://github.com/j-m-hoffmann)

## Privacy & Permissions

This app does not contain any ads or trackers. It does not ever connect to the internet. It does not store
any data of any kind other than the current volume level and selected sound.

The app needs the "Phone" permission ("Allow Easy Noise to make and manage phone calls?") ONLY to be
able to pause playback during phone calls. The usual method for handling this involves something called 
Audio Focus, but that would mean that this app would not be able to play noise beneath other sounds (such 
as music or video). If you know of another way to solve this without the Phone permission, please let me know!

The full privacy policy is available <a href="https://github.com/cliambrown/EasyNoise/blob/master/PRIVACY.md">here</a>.

## Screenshots

<a href="https://raw.githubusercontent.com/cliambrown/EasyNoise/master/easy_noise_screenshot_1.png"><img src="https://raw.githubusercontent.com/cliambrown/EasyNoise/master/easy_noise_screenshot_1.png" width="200px" alt="Screenshot 1"></a> <a href="https://raw.githubusercontent.com/cliambrown/EasyNoise/master/easy_noise_screenshot_2.png"><img src="https://raw.githubusercontent.com/cliambrown/EasyNoise/master/easy_noise_screenshot_2.png" width="200px" alt="Screenshot 2"></a>

## How to Add the Quick Settings Tile

1. Swipe down from the top of the screen to show your Quick Settings.
1. Swipe down again (if necessary) so that you see the pencil icon below the Quick Settings menu.
1. Click the pencil icon.
1. Scroll until you see the Easy Noise Quick Settings tile.
1. Tap and hold the tile until you're able to drag the tile.
1. Drag the tile up into your active tiles. **Note:** Only the first 6 tiles will appear in your menu (4 in Android 12 😠) — the rest will appear in an "overflow" menu that can be shown by expanding the menu and scrolling to one side.
1. Click the "back" arrow at the top when you're finished arranging your menu.

## Installation for development

Clone the repo, open the project in Android Studio, hit "Run".

## License

This program is free software: you can redistribute it and/or modify it under the terms of the [GNU General Public License](https://www.gnu.org/licenses/gpl.html) as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the [GNU General Public License](https://www.gnu.org/licenses/gpl.html) for more details.

### Noises:

* grey: [Gray noise](https://commons.wikimedia.org/w/index.php?title=File%3AGray_noise.ogg) by [Omegatron](https://commons.wikimedia.org/wiki/User:Omegatron); public domain.
* grey 2: [Inverse ITU-R 468 weighted "grey noise"](https://commons.wikimedia.org/w/index.php?title=File%3AInverse_ITU-R_468_weighted_%22grey_noise%22.ogg) by CapoeiraES;  [Creative Commons Attribution-Share Alike 4.0 International](https://creativecommons.org/licenses/by-sa/4.0/deed.en) license
* white: [White-noise-sound-20sec-mono-44100Hz](https://commons.wikimedia.org/w/index.php?title=File%3AWhite-noise-sound-20sec-mono-44100Hz.ogg) by [Jorge Stolfi](https://commons.wikimedia.org/wiki/User:Jorge_Stolfi); [Creative Commons Attribution-Share Alike 3.0 Unported](https://creativecommons.org/licenses/by-sa/3.0/deed.en) license
* pink: [Pink noise](https://commons.wikimedia.org/w/index.php?title=File%3APink_noise.ogg) by [Omegatron](https://commons.wikimedia.org/wiki/User:Omegatron); Creative Commons Attribution-Share Alike [3.0 Unported](https://creativecommons.org/licenses/by-sa/3.0/deed.en), [2.5 Generic](https://creativecommons.org/licenses/by-sa/2.5/deed.en), [2.0 Generic](https://creativecommons.org/licenses/by-sa/2.0/deed.en) and [1.0 Generic](https://creativecommons.org/licenses/by-sa/1.0/deed.en) license
* brown: [Brownnoise](https://en.wikipedia.org/wiki/File:Brownnoise.ogg) by Kieff; public domain
* purple: [Purple noise](https://commons.wikimedia.org/w/index.php?title=File%3APurple_noise.ogg) by [Omegatron](https://commons.wikimedia.org/wiki/User:Omegatron); Creative Commons Attribution-Share Alike [3.0 Unported](https://creativecommons.org/licenses/by-sa/3.0/deed.en), [2.5 Generic](https://creativecommons.org/licenses/by-sa/2.5/deed.en), [2.0 Generic](https://creativecommons.org/licenses/by-sa/2.0/deed.en) and [1.0 Generic](https://creativecommons.org/licenses/by-sa/1.0/deed.en) license